.common-card {
  background: #FFFFFF;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.04), 0 0 2px rgba(0, 0, 0, 0.06), 0 4px 8px rgba(0, 0, 0, 0.04);
  border-radius: 8px;

  &.borders-right-rect {
    border-radius: 8px 0 0 8px;
  }

  &.borders-left-rect {
    border-radius: 0 8px 8px 0;
  }

  .card-head {
    padding: 15px;
    border-bottom: 1px solid #DAECF6;

    & > *:first-child {
      margin-bottom: 13px;
    }

    .h3, h3 {
      padding-bottom: 4px;
    }

    .card-qty {
      font-size: 12px;
      color: #A5AEB7;
    }

    .card-filters-wrapper {
      display: flex;
      flex-direction: row;
      justify-content: flex-end;
      align-content: end;
      flex: 0 0 100%;
    }
  }

  .card-sub-head {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 15px;
    border-bottom: 1px solid #F3F9FC;
    min-height: 63px;
  }
}

.common-card-sticky-head {
  position: sticky;
  top: 0;
  z-index: 2;
  background: #ffffff;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

@media (max-width: 767px) {
  .common-card {
    &.borders-right-rect, &.borders-left-rect {
      border-radius: 8px;
    }

    .card-head {
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      padding: 15px;

      .card-filters-wrapper {
        flex-direction: column;
      }
    }

    .card-sub-head {
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      padding: 8px 24px;
      min-height: 49px;
    }
  }
}


@media (max-width: 575px) {
  .common-card {
    .card-sub-head {
      flex-direction: column;
      align-items: flex-start;
      padding: 15px;
      min-height: 90px;

      & > *:first-child {
        margin-bottom: 13px;
      }
    }
  }
}


